// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#include "BoxCollider.hpp"

using namespace Dawn;

BoxCollider::BoxCollider(std::weak_ptr<SceneItem> item) : Collider2D(item) {
  
}

enum Collider2DType BoxCollider::getColliderType() {
  return COLLIDER2D_TYPE_BOX;
}